Bug 1161918 - Index corruption issue fixed in later release, pleas update package
Summary: Index corruption issue fixed in later release, pleas update package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-09 11:26 UTC by Jean-Francois Dockes
Modified: 2014-11-20 23:01 UTC (History)
1 user (show)

Fixed In Version: recoll-1.19.14p2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-15 09:06:18 UTC


Attachments (Terms of Use)

Description Jean-Francois Dockes 2014-11-09 11:26:07 UTC
Recoll versions up to 1.19.13 contain an issue (http://www.recoll.org/release-1.19.html#rodb) which, in conjunction with a Xapian one (http://trac.xapian.org/ticket/645) can cause index corruption. The consequence is mostly repeated indexing of documents at each incremental pass, but also, possibly, query errors.

The package should be updated to the latest version: 1.19.14p2

Version-Release number of selected component (if applicable): 1.19.13

How reproducible:
This is a random issue, relatively difficult to reproduce, but it is probably dependant on timing issues (this is NOT a multithreading bug though). Users who experience it see it rather frequently, some others never see it. In any case, it is fixed in 1.19.14

Comment 2 Fedora Update System 2014-11-09 21:07:27 UTC
recoll-1.19.14p2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/recoll-1.19.14p2-1.fc21

Comment 3 Fedora Update System 2014-11-09 21:07:32 UTC
recoll-1.19.14p2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.19.14p2-1.fc20

Comment 4 Fedora Update System 2014-11-09 21:08:41 UTC
recoll-1.19.14p2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/recoll-1.19.14p2-1.fc19

Comment 5 Fedora Update System 2014-11-10 18:26:29 UTC
Package recoll-1.19.14p2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.19.14p2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14669/recoll-1.19.14p2-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-11-15 09:06:18 UTC
recoll-1.19.14p2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-11-20 23:00:27 UTC
recoll-1.19.14p2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-11-20 23:01:52 UTC
recoll-1.19.14p2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.